libzypp 17.38.15

RepoInfoBase.h File Reference
`#include <iosfwd>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp-core/Globals.h>`
`#include <zypp-core/Pathname.h>`

Go to the source code of this file.

## Classes
class | zypp::repo::RepoInfoBase
| Base class implementing common features of RepoInfo and ServiceInfo. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::repo

## Typedefs
using | zypp::repo::RepoInfoBase_Ptr = shared_ptr<RepoInfoBase>
| relates: RepoInfoBase
using | zypp::repo::RepoInfoBase_constPtr = shared_ptr<const RepoInfoBase>
| relates: RepoInfoBase

## Functions
bool | zypp::repo::operator== (const RepoInfoBase &lhs, const RepoInfoBase &rhs)
| relates: RepoInfoBase
bool | zypp::repo::operator!= (const RepoInfoBase &lhs, const RepoInfoBase &rhs)
| relates: RepoInfoBase
bool | zypp::repo::operator< (const RepoInfoBase &lhs, const RepoInfoBase &rhs)
std::ostream & | zypp::repo::operator<< (std::ostream &str, const RepoInfoBase &obj)
| relates: RepoInfoBase Stream output